#include <kapplication.h>
#include <kservice.h>
#include <kservicegroup.h>
#include <kdebug.h>
#include "kbfxplasmadataplugin.h"
#include <kstandarddirs.h>
#include <qdir.h>
#include <qfileinfo.h>







KbfxDataStack *
view ()
{

  KbfxDataGroup *appGroup = new KbfxDataGroup ();
  KbfxDataGroupList *glist = new KbfxDataGroupList ();
  KbfxDataStack *gstack = new KbfxDataStack ();


  glist->setName("Browse");
  glist->setIcon("plasma");
  appGroup->setName("Plasmoids");

  QString path = locate ("data", "kicker/applets/lockout.desktop");
  path.remove("lockout.desktop");



         QDir d(path);
        d.setFilter( QDir::Files | QDir::Hidden | QDir::NoSymLinks );
        d.setSorting( QDir::Size | QDir::Reversed );
	d.setNameFilter("*.desktop");

        const QFileInfoList *list = d.entryInfoList();
        QFileInfoListIterator it( *list );
        QFileInfo *fi;

//        printf( "     Bytes Filename\n" );
        while ( (fi = it.current()) != 0 ) {

      KDesktopFile *desktop = new KDesktopFile (fi->filePath());

	KbfxDataSource * src = new KbfxDataSource();

	src->setName(desktop->readName());
	src->setContentPath(fi->filePath());
	src->setIconPath(desktop->readIcon());
	src->setCommand("dcop kicker Panel addApplet " + fi->filePath());
	appGroup->addItem(src);


            ++it;
        }


  gstack->setName ("Plasmoids");
	
	glist->addGroup(appGroup);
	gstack->addGroupList(glist);
  return gstack;


}

/**
Give a Name to the plugin
you have made.Remember 
Humans will read this
so #d0343erd wan't make much
sence!
**/

QString
name ()
{
  return QString ("Plasmoids");
}

/**
Give the Type of (or kind of items) contained
in this plugin .. make the name prety
beacuse the GUI will display this
as is..
**/

QString
type ()
{
  return QString ("Stub Type");
}


/**
Some kind of a ID but 
still no idea what this
can do..maybe i must
think back..later
**/

uint
id ()
{
  return 1;			//TODO see what can be done... manybe rand()?
}


/**
*DO NOT* Return Null return a empty
Group where the count will be zero..
so that the loader will ignore this
result if no items match in the data
source
**/


#include <ktrader.h>

KbfxDataGroup *
search (QString _keyword)
{
  KbfxDataGroup *appGroup = new KbfxDataGroup ();
  KbfxDataGroupList *glist = new KbfxDataGroupList ();
  KbfxDataStack *gstack = new KbfxDataStack ();


  QString path = locate ("data", "kicker/applets/lockout.desktop");
  path.remove("lockout.desktop");



         QDir d(path);
        d.setFilter( QDir::Files | QDir::Hidden | QDir::NoSymLinks );
        d.setSorting( QDir::Size | QDir::Reversed );
	d.setNameFilter("*.desktop");

        const QFileInfoList *list = d.entryInfoList();
        QFileInfoListIterator it( *list );
        QFileInfo *fi;

//        printf( "     Bytes Filename\n" );
        while ( (fi = it.current()) != 0 ) {
if(fi->fileName().contains(_keyword)  > 0 )
{
      KDesktopFile *desktop = new KDesktopFile (fi->filePath());

	KbfxDataSource * src = new KbfxDataSource();

	src->setName(desktop->readName());
	src->setContentPath(fi->filePath());
	src->setIconPath(desktop->readIcon());
	src->setCommand("dcop kicker Panel addApplet " + fi->filePath());
	appGroup->addItem(src);
}

            ++it;
        }


 
return appGroup; 
//	qDebug(">>"+check);
}

