#include "kbfxspinxtoolbar.h"
#include <kbfxplasmaskinmanager.h>
#include <qstring.h>
#include <qpainter.h>

KbfxSpinxToolBar::KbfxSpinxToolBar(QWidget * parent , const char * name , WFlags l):QWidget(parent,name,l)
{

	_y = 0;
	m_bg = QPixmap (KbfxPlasmaSkinManager::
	     getThemePixmapPath (KbfxPlasmaSkinManager::BOTBG));
	_x = m_bg.width();
}


KbfxSpinxToolBar::~KbfxSpinxToolBar()
{

}

void
KbfxSpinxToolBar::setSize(QSize size)
{
	this->resize(size);
	_x = size.width();
	_y = size.height();
	
}


void KbfxSpinxToolBar::addButton(KbfxSpinxToolButton * btn)
{
	//KbfxSpinxToolButton * _btn =  btn;
	_x -= btn->width();
//	btn->resize(this->height()-10,this->height()-10);
	btn->move(_x,(this->height()-btn->height())/4);
	btn->show();	
	btn->update();
}

void KbfxSpinxToolBar::paintEvent( QPaintEvent * pe)
{
	QPainter p;
	p.begin(this);
	p.drawPixmap(QRect(0,0,ConfigInit().m_botBar_w,ConfigInit().m_botBar_h),m_bg);
	p.end();
}


#include "kbfxspinxtoolbar.moc"
