/***************************************************************************
 *   Copyright (C) 2005 by KBFX Team                                       *
 *   http://www.kbfx.org                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef KBFX_SPINX_TOOL_BAR_H
#define KBFX_SPINX_TOOL_BAR_H

#include <qwidget.h>
#include <qpixmap.h>
#include "kbfxspinxtoolbutton.h"

class KbfxSpinxToolBar:public QWidget
{

Q_OBJECT
	public:
	KbfxSpinxToolBar(QWidget * parent = 0, const char * name = 0, WFlags f = 0);
	virtual	~KbfxSpinxToolBar();
	virtual void paintEvent(QPaintEvent * pe);
		
	void addButton(KbfxSpinxToolButton * btn);
	void setSize(QSize s);

private:
	int _x;
	int _y;
	int m_buttonWidth;
	int m_buttonHeight;
	QPixmap m_bg;


};

#endif
