#include <kapplication.h>
#include <kservice.h>
#include <kservicegroup.h>
#include <kdebug.h>
#include "kbfxstrigiplugin.h"
#include <qdir.h>
#include <qfileinfo.h>
#include <kurl.h>



bool
stopDaemon ()
{

}

bool
startDaemon ()
{
  stopDaemon ();

//add the actual coding to start the daemo process
//add the actual coding to start the daemo process
  return true;
}

void
init ()
{
}

void
poll ()
{

}


KbfxDataStack *
view ()
{
  KbfxDataGroup *appGroup = new KbfxDataGroup ();
  KbfxDataGroupList *glist = new KbfxDataGroupList ();
  KbfxDataStack *gstack = new KbfxDataStack ();

  init ();
  glist->setName ("Configure");
  appGroup->setName("Strigi Options");
  KbfxDataSource * m_source  = new KbfxDataSource();
	m_source->setName("Start Indexing");
 	m_source->setComment("Starts Building a Index");
	m_source->setIconPath("enhanced_browsing.png");
 appGroup->addItem(m_source);
 
 m_source  = new KbfxDataSource();
	m_source->setName("Stop Indexing");
 	m_source->setComment("Stop Index Building Process");
	m_source->setIconPath("enhanced_browsing.png");
 appGroup->addItem(m_source);
  m_source  = new KbfxDataSource();
	m_source->setName("start Daemon");
 	m_source->setComment("Start Search Engine");
	m_source->setIconPath("enhanced_browsing.png");
 appGroup->addItem(m_source);
  m_source  = new KbfxDataSource();
	m_source->setName("Stop Daemon");
 	m_source->setComment("Stop Search Engine");
	m_source->setIconPath("enhanced_browsing.png");
 appGroup->addItem(m_source);

  m_source  = new KbfxDataSource();
	m_source->setName("Advance Searcing");
 	m_source->setComment("Detailed Search Results");
	m_source->setIconPath("enhanced_browsing.png");
 appGroup->addItem(m_source);




 glist->addGroup(appGroup);
  gstack->addGroupList(glist);
  gstack->setName ("Strigi");


  return gstack;

}


QString
name ()
{
  return QString ("Strigi");
}

/**
Give the Type of (or kind of items) contained
in this plugin .. make the name prety
beacuse the GUI will display this
as is..
**/

QString
type ()
{
  return QString ("Stub Type");
}


/**
Some kind of a ID but 
still no idea what this
can do..maybe i must
think back..later
**/

uint
id ()
{
  return 1;			//TODO see what can be done... manybe rand()?
}


/**
*DO NOT* Return Null return a empty
Group where the count will be zero..
so that the loader will ignore this
result if no items match in the data
source
**/


KbfxDataGroup *
search (QString _keyword)
{

  KbfxDataGroup *datagroup = new KbfxDataGroup ();
  datagroup->setName ("Strigi");

  QString socketpath = QDir::homeDirPath () + "/.strigi/socket";
  startDaemon ();
  qDebug (socketpath);
  AsyncSocketClient socket;
  ClientInterface::Hits hits;


  socket.setSocketPath ((const char *) socketpath.utf8 ());
  bool ok = socket.query (_keyword.ascii (), 5, 0);

  if (ok == true)
    {
      while (!socket.statusChanged ())
	{
	  struct timespec sleeptime;
	  sleeptime.tv_sec = 0;
	  sleeptime.tv_nsec = 1;
	  nanosleep (&sleeptime, 0);
	}
      hits = socket.getHits ();
      
       jstreams::IndexedDocument hit;
      int last = (hits.hits.size () > 5) ? 5 : hits.hits.size ();


      for (int i = 0; i < socket.getHits ().hits.size (); ++i)
	{
	  jstreams::IndexedDocument hit = hits.hits[i];
	  KbfxDataSource *data = new KbfxDataSource ();

	  QString name;
	  std::map < std::string, std::string >::const_iterator it =
	    hits.hits[i].properties.find ("title");

  	QString filename(hits.hits[i].uri.c_str ());

   if(filename.contains(".tar.") > 0)
	{
 filename = "tar:"+filename;
  qDebug(filename);
       }

	  if (it != hits.hits[i].properties.end ())
	    {
	      name = it->second;
	    }
	  else
	    {
	      uint pos = hits.hits[i].uri.rfind ('/');
	      if (pos == std::string::npos)
		{
		  name = hits.hits[i].uri;
		}
	      else
		{
		  name = hits.hits[i].uri.substr (pos + 1);
		}
	    }


	  data->setName (name);

       

	  data->setCommand ("kfmclient exec " +filename);



	  qDebug ("loaded " + data->command ());
	  QString iconname =
	    KMimeType::mimeType (hits.hits[i].mimetype.c_str ())->
	    icon (QString::null, 0);
	  data->setIconPath (iconname);
	  datagroup->addItem (data);

	}
    }
  else
    {
      KbfxDataSource *data = new KbfxDataSource ();
      data->setName ("Start Strigi");
      data->setComment ("Strigi Deamon down");
      data->setCommand ("strigidaemon &");
    }

  return datagroup;


}

